"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deriveTokenTransferMessageAddress = void 0;
const connect_sdk_solana_1 = require("@wormhole-foundation/connect-sdk-solana");
const web3_js_1 = require("@solana/web3.js");
function deriveTokenTransferMessageAddress(programId, payer, sequence) {
    const sequenceBuf = Buffer.alloc(8);
    sequenceBuf.writeBigUInt64BE(BigInt(sequence.toString()));
    return connect_sdk_solana_1.utils.deriveAddress([Buffer.from('bridged'), new web3_js_1.PublicKey(payer).toBuffer(), sequenceBuf], programId);
}
exports.deriveTokenTransferMessageAddress = deriveTokenTransferMessageAddress;
//# sourceMappingURL=tokenTransferMessage.js.map